import { TimeAxisBase } from "./TimeAxisBase";
import { ITimeRangeSelectorAxis } from "./ITimeRangeSelectorAxis";
import { TimeAxisBreakCollection } from "./TimeAxisBreakCollection";
import { TimeAxisLabellingMode } from "./TimeAxisLabellingMode";
import { TimeAxisLabelFormatCollection } from "./TimeAxisLabelFormatCollection";
import { TimeAxisIntervalCollection } from "./TimeAxisIntervalCollection";
import { Type, IList$1, EventArgs } from "igniteui-react-core";
import { TimeAxisLabelFormat } from "./TimeAxisLabelFormat";
import { ScalerParams } from "./ScalerParams";
import { Rect } from "igniteui-react-core";
import { CultureInfo } from "igniteui-react-core";
import { TimeRepetitionLevel } from "./TimeRepetitionLevel";
/**
 * @hidden
 */
export declare class TimeXAxis extends TimeAxisBase implements ITimeRangeSelectorAxis {
    static $t: Type;
    constructor();
    protected get_cd(): boolean;
    dy(a: number, b: ScalerParams): number;
    gs(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    protected startCursor(): void;
    protected resetCursor(): void;
    private my;
    d1(a: number, b: ScalerParams): number;
    private me;
    readonly breaks: TimeAxisBreakCollection;
    private mn;
    mo: TimeAxisLabellingMode;
    private ml;
    readonly labelFormats: TimeAxisLabelFormatCollection;
    protected gz(a: any, b: string, c: any, d: any): void;
    protected ho(a: Rect, b: Rect): void;
    protected hn(a: Rect, b: Rect): void;
    cp(): boolean;
    private _omission;
    private omission;
    private ne;
    private mc;
    private mr;
    private mv;
    private nd;
    fl(a: number): string;
    e8(a: any): any;
    static mz(a: Date, b: boolean, c: Date, d: TimeAxisLabellingMode, e: number, f: IList$1<TimeAxisLabelFormat>, g: CultureInfo): any;
    private static mp;
    protected get_k9(): boolean;
    protected set_k9(a: boolean): void;
    private mj;
    readonly intervals: TimeAxisIntervalCollection;
    private m2;
    static m3(a: number, b: TimeRepetitionLevel, c: TimeAxisLabellingMode): string;
    private static mb;
    private static md;
    private mh;
    private mi;
    private m0;
    protected hc(a: boolean): void;
    private mq;
    private ms;
    private nc;
    private mu;
    visibleMinimum: Date;
    private mt;
    private mg;
    visibleMaximum: Date;
    protected l6(): void;
    j1(a: Rect, b: Rect, c: Rect, d: number, e: number): number;
    i$f(a: number): number;
    private nf;
    private nh;
    private ng;
    protected get_b5(): boolean;
    getWindowRectForSelection(a: Date, b: Date): Rect;
    getCategorySize(a: Rect, b: Rect, c: Rect): number;
    private na;
    static m9(a: (arg1: number) => Date, b: number): number;
    private m8;
    protected l2(): void;
    static m5(a: number): string;
    itemLabelFormat(): string;
    visibleRangeChanged: (sender: any, e: EventArgs) => void;
    protected lo(a: Rect, b: Rect, c: Rect, d: Rect): number;
    protected lr(a: Rect, b: Rect, c: Rect, d: Rect): number;
    readonly isVertical: boolean;
    j$c(a: number, b: ScalerParams): number;
    j$b(a: number, b: ScalerParams): number;
    j$d(a: IList$1<number[]>, b: IList$1<number>, c: number, d: number, e: ScalerParams): void;
    j$e(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    j$f(a: IList$1<number>, b: number, c: number, d: ScalerParams): void;
    readonly j$a: boolean;
    readonly i$a: boolean;
}
